version: '2.1'
services:
  onlyoffice-documentserver:
    container_name: onlyoffice-documentserver
    build:
      context: ../.
    depends_on:
      - onlyoffice-postgresql
    environment:
      - POSTGRESQL_SERVER_HOST=${DB_HOST:-onlyoffice-postgresql}
      - POSTGRESQL_SERVER_PORT=${DB_PORT:-5432}
      - POSTGRESQL_SERVER_DB_NAME=${DB_NAME:-onlyoffice}
      - POSTGRESQL_SERVER_USER=${DB_USER:-onlyoffice}
      - POSTGRESQL_SERVER_PASS=${DB_PWD:-onlyoffice}
    stdin_open: true
    restart: always
    ports:
      - '80:80'

  onlyoffice-postgresql:
    container_name: onlyoffice-postgresql
    image: postgres:9.5
    environment:
      - POSTGRES_DB=${POSTGRES_DB:-onlyoffice}
      - POSTGRES_USER=${POSTGRES_USER:-onlyoffice}
      - POSTGRES_HOST_AUTH_METHOD=${POSTGRES_HOST_AUTH_METHOD:-trust}
    restart: always
    expose:
      - '5432'
    volumes:
      - postgresql_data:/var/lib/postgresql

volumes:
  postgresql_data:
